Bug 256521 - Review Request: php-pear-Creole - A database abstraction layer for PHP5
Review Request: php-pear-Creole - A database abstraction layer for PHP5
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On: 275211 283401
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-27 10:22 EDT by Alexander Kahl
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.1.0-5.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-10 21:47:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Alexander Kahl 2007-08-27 10:22:57 EDT
Spec URL: http://prelive.iconmobile.com/dev31/fedora-icm-repo/Fedora/7/SPECS/php-pear-Creole.spec
SRPM URL: http://prelive.iconmobile.com/dev31/fedora-icm-repo/Fedora/7/SRPMS/php-pear-Creole-1.1.0-3.fc7.src.rpm
Description: 
Creole is a database abstraction layer for PHP5. It abstracts PHP's
native db-specific API to create more portable code while also
providing developers with a clean fully object-oriented interface
based loosely on the API for Java's JDBC.

--

This is my first package and I'm searching for a sponsor.
php-pear-Creole relies on php-channel-phpdb that is also available in the same repository. I wasn't sure about the channel's license because there are no clear indicators if there is any, so I've left the license field 'N/A' for now.
My employer explicitly allowed me to release packages I've made at work and there are several other PHP5-related ones available in my repository that I'd like to commit as soon as I've got approval.
Comment 1 Remi Collet 2007-09-03 10:17:33 EDT
Please, submit php-channel-phpdb to review and add it as a blocker for this review.

There is no Guidelines yet for "channel", we have to work on it.

- Please, don't use %{pear_phpdir}/* in %file
- keep version in php-pear BR (mainly to avoid EL-4 build)

I don't know about License for channel, but you could probably use the same
(LGPLv2) than the package provided by this channel or simply "Public domain"
(N/A is not a acceptable)

I could do a review, but i couldn't sponsor you.
Comment 2 Remi Collet 2007-09-03 10:23:36 EDT
- also change name to php-pear-creole (no uppercase in upstream package name)
Comment 3 Alexander Kahl 2007-09-03 11:27:33 EDT
Thanks Remi for helping me!

- add php-channel-phpdb as a blocker: fixed
- change license field in the channel: fixed
- replace ${pear_phpdir} with ${_datadir}/pear: fixed
- keep version in php-pear BR: sorry, what does that mean?
- name change to php-pear-creole: fixed

New Spec URL:
http://prelive.iconmobile.com/dev31/fedora-icm-repo/Fedora/7/SPECS/php-pear-creole.spec
New SRPM URL:
http://prelive.iconmobile.com/dev31/fedora-icm-repo/Fedora/7/SRPMS/php-pear-creole-1.1.0-4.fc7.src.rpm

What can I do to improve my chances finding a sponsor?
Comment 4 Remi Collet 2007-09-08 01:47:07 EDT
You must use 
BuildRequires:  php-pear >= 1:1.4.9-1.2
Because macro used for this spec are not defined in previous pear release.

I will prefer R and BR on php-channel(pear.phpdb.org) rather then php-channel-phpdb.
Ok, there is no guidelines yet, but i will propose this

When i wrote don't use %{pear_phpdir}/*, i mean use %{pear_phpdir} but not *
Probably ${pear_phpdir}/creole

I can't build this RPM, don't understand why.
"pear install" hangs.

I will try later.
Comment 5 Remi Collet 2007-09-08 02:24:10 EDT
It seems there is a bug in PEAR.

Build ok with F7 pear 1.5.0

Build hangs with newer version (1.5.4, 1.6.1).
This issue also affects php-pear-PHPUnit.

See Bug #283401
Comment 6 Alexander Kahl 2007-09-11 11:29:15 EDT
Updated Spec URL:
http://prelive.iconmobile.com/dev31/fedora-icm-repo/Fedora/7/SPECS/php-pear-creole.spec
Updated SRPM URL:
http://prelive.iconmobile.com/dev31/fedora-icm-repo/Fedora/7/SRPMS/php-pear-creole-1.1.0-5.fc7.src.rpm

Changes:
- proper php-pear requirement
- changed php-channel requirement syntax
- rectified file ownership

Shall I nail the pear version requirement to < 1.5.4?
Comment 7 Remi Collet 2007-09-11 14:15:28 EDT
> Shall I nail the pear version requirement to < 1.5.4?

No. Bug #283401 is closed (pear 1.6.2 pushed in rawhide)

Comment 8 Alexander Kahl 2007-09-18 08:46:27 EDT
Any progress here? Is -5 OK?
Comment 9 Remi Collet 2007-09-22 10:59:33 EDT
Have you been sponsored ?
Comment 10 Mamoru TASAKA 2007-09-22 11:03:09 EDT
(In reply to comment #9)
> Have you been sponsored ?
> 

Now I am sponsoring Alexander (bug 275831)
Comment 11 Alexander Kahl 2007-10-01 16:17:48 EDT
Remi, will you continue the review now? 
Comment 12 Remi Collet 2007-10-02 02:27:07 EDT
Yes.

I will work on it this week-end.
Comment 13 Remi Collet 2007-10-08 01:24:41 EDT
REVIEW:
* rpmlint :
W: no-documentation
* The package is named according to the Package Naming Guidelines.
* The spec file name match the base package
* The package meet the PHP Packaging Guidelines (see below)
* Fedora approved license (LGPLv2)
* License field in the package spec file match the actual license
* The spec file is written in American English
* The spec file is legible
* The sources used to build the package must match the upstream source
87480d20b83be9ae859153539ec57c70  creole-1.1.0.tgz
* build in mock (F-7, noarch)
* All build dependencies are listed in BuildRequires
* no locales
* no shared library files
* package own all directories that it creates
* Package don't own files or directories already owned by other packages
* no duplicate files
* Permissions on files are set properly
* %clean section
* package consistently use macros
* The package contain code
* no documentation
* no library
* no desktop file
* %install, start with rm -rf %{buildroot}
* All filenames are valid UTF-8
* scriptlets are sane*
* Final Provides ok
php-pear(pear.phpdb.org/creole) = 1.1.0
php-pear-creole = 1.1.0-5.fc8
* Final Requires
/usr/bin/pear  
php-channel(pear.phpdb.org)  
php-cli >= 5.0.0
php-pear  

** No test suite or example to run.

There is actually no PHP Guidelines for non standard channel, but this spec
conforms with other RPM.

APPROVED
Comment 14 Alexander Kahl 2007-10-09 12:15:39 EDT
New Package CVS Request
=======================
Package Name: php-pear-creole
Short Description: A database abstraction layer for PHP5
Owners: akahl
Branches: F-7
InitialCC: remi
Cvsextras Commits: yes
Comment 15 Kevin Fenzi 2007-10-09 20:18:10 EDT
cvs done.
Comment 17 Fedora Update System 2007-10-10 21:47:24 EDT
php-pear-creole-1.1.0-5.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.